<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.5.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.jkcredit.invoice</groupId>
    <artifactId>sys_invoice</artifactId>
    <version>1.0</version>
    <name>sys_invoice</name>
    <description>Demo project for Spring Boot</description>

    <properties>
        <java.version>1.8</java.version>
        <hutool.version>4.4.3</hutool.version>
        <mybatis-plus.version>3.1.0</mybatis-plus.version>
        <mysql.version>8.0.15</mysql.version>
        <redis.version>2.1.3.RELEASE</redis.version>
        <swagger.version>2.9.2</swagger.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>

    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>

        <!--mybatis-plus插件-->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>${mybatis-plus.version}</version>
        </dependency>

        <dependency>
            <groupId>net.sf.json-lib</groupId>
            <artifactId>json-lib</artifactId>
            <version>2.4</version>
            <classifier>jdk15</classifier>
        </dependency>

        <dependency>
            <groupId>commons-httpclient</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>3.1</version>
        </dependency>

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql.version}</version>
        </dependency>

        <!--hutool-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>${hutool.version}</version>
        </dependency>

        <!--redis-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${redis.version}</version>
        </dependency>


        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.1.10</version>
        </dependency>

        <!--server-api-->
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
        </dependency>

        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>${swagger.version}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-quartz</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>io.springfox</groupId>-->
<!--            <artifactId>springfox-swagger-ui</artifactId>-->
<!--            <version>${swagger.version}</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.github.caspar-chen</groupId>
            <artifactId>swagger-ui-layer</artifactId>
            <version>1.1.3</version>
        </dependency>

<!--        &lt;!&ndash;web 模块&ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>org.springframework.boot</groupId>-->
<!--            <artifactId>spring-boot-starter-web</artifactId>-->
<!--            <exclusions>-->
<!--                &lt;!&ndash;排除tomcat依赖&ndash;&gt;-->
<!--                <exclusion>-->
<!--                    <artifactId>spring-boot-starter-tomcat</artifactId>-->
<!--                    <groupId>org.springframework.boot</groupId>-->
<!--                </exclusion>-->
<!--            </exclusions>-->
<!--        </dependency>-->
<!--        &lt;!&ndash;undertow容器&ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>org.springframework.boot</groupId>-->
<!--            <artifactId>spring-boot-starter-undertow</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.15</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>3.15</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-scratchpad -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-scratchpad</artifactId>
            <version>3.15</version>
        </dependency>

        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>3.0.2</version>
        </dependency>

        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
        </dependency>

        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.6</version>
        </dependency>

        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>21.0</version>
        </dependency>

        <dependency>
            <groupId>cn.afterturn</groupId>
            <artifactId>easypoi-spring-boot-starter</artifactId>
            <version>3.3.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-core</artifactId>
            <version>1.1.7</version>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-access</artifactId>
            <version>1.1.7</version>
        </dependency>
        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
            <version>1.1.7</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.58</version>
        </dependency>

        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.2</version>
        </dependency>
        <!--调用第三方的依赖包-->
        <dependency>
            <groupId>etc-commons-logging-1.2</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-commons-logging-1.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-httpclient-4.5</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-httpclient-4.5.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-httpcore-4.4</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-httpcore-4.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-httpmime-4.5</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-httpmime-4.5.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-jackson-annotations-2.8</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-jackson-annotations-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-jackson-core-2.8</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-jackson-core-2.8.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>etc-jackson-databind-2.8</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-jackson-databind-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>etc-jackson-datatype-jsr310-2.8</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/etc-jackson-datatype-jsr310-2.8.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>slf4j-api-1.7</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/slf4j-api-1.7.jar</systemPath>
        </dependency>
<!--        <dependency>
            <groupId>validation-api-1.1.0.Final</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/validation-api-1.1.0.Final.jar</systemPath>
        </dependency>-->

        <dependency>
            <groupId>sdk-common-1.1</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/sdk-common-1.1.jar</systemPath>
        </dependency>

        <!--无车-->
        <dependency>
            <groupId>sdk-waybill-protocol-1.3.12</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/sdk-waybill-protocol-1.3.12.jar</systemPath>
        </dependency>
        <!--有车-->
        <dependency>
            <groupId>sdk-b2b-protocol-1.5.3</groupId>
            <artifactId>sdk</artifactId>
            <scope>system</scope>
            <version>1.0</version>
            <systemPath>${project.basedir}/lib/sdk-b2b-protocol-1.5.3.jar</systemPath>
        </dependency>
        <!--调用第三方的依赖包-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-freemarker</artifactId>
        </dependency>
        <dependency>
            <groupId>com.sun.mail</groupId>
            <artifactId>javax.mail</artifactId>
            <version>1.6.2</version>
        </dependency>
    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
           <!-- <plugin>
                <groupId>org.mybatis.generator</groupId>
                <artifactId>mybatis-generator-maven-plugin</artifactId>
                <version>1.3.2</version>
                <configuration>
                    <configurationFile>src/main/resources/generatorConfig.xml</configurationFile>
                    <verbose>true</verbose>
                    <overwrite>true</overwrite>
                </configuration>
                <executions>
                    <execution>
                        <id>Generate MyBatis Artifacts</id>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                    </execution>
                </executions>
                <dependencies>
                    <dependency>
                        <groupId>org.mybatis.generator</groupId>
                        <artifactId>mybatis-generator-core</artifactId>
                        <version>1.3.2</version>
                    </dependency>
                </dependencies>
            </plugin>-->
        </plugins>
    </build>

</project>
